Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Trivial_Supplier_Filter_Builder Class Reference

Create a single Trivial_Supplier_Filter. More...

`#include <EC_Trivial_Supplier_Filter.h>`

Inheritance diagram for TAO_EC_Trivial_Supplier_Filter_Builder

[legend]
Collaboration diagram for TAO_EC_Trivial_Supplier_Filter_Builder:

[legend]
List of all members.

## Public Methods
| TAO_EC_Trivial_Supplier_Filter_Builder (TAO_EC_Event_Channel* ec)
| constructor....
virtual TAO_EC_Supplier_Filter* | create (RtecEventChannelAdmin::SupplierQOS& qos)
virtual void | destroy (TAO_EC_Supplier_Filter *filter)
| The user is returning the filter for destruction/recycling.
## Private Attributes
TAO_EC_Trivial_Supplier_Filter | filter_
| The filter....

## Detailed Description

Create a single Trivial_Supplier_Filter.

This Factory creates a single Trivial_Supplier_Filter that is used by all the suppliers (i.e. ProxyConsumers) of an event channel.

## Constructor & Destructor Documentation

TAO_EC_Trivial_Supplier_Filter_Builder::TAO_EC_Trivial_Supplier_Filter_Builder ( | TAO_EC_Event_Channel * ec )

| constructor....

## Member Function Documentation

TAO_EC_Supplier_Filter * TAO_EC_Trivial_Supplier_Filter_Builder::create ( | RtecEventChannelAdmin::SupplierQOS & qos )`[virtual]`

| Create the filter. The <consumer> is bound to the returned Supplier_Filter, it must be <unbound> upon destruction and/or disconnection. Reimplemented from TAO_EC_Supplier_Filter_Builder.

void TAO_EC_Trivial_Supplier_Filter_Builder::destroy ( | TAO_EC_Supplier_Filter * filter )`[virtual]`

| The user is returning the filter for destruction/recycling. Reimplemented from TAO_EC_Supplier_Filter_Builder.

## Member Data Documentation

TAO_EC_Trivial_Supplier_Filter TAO_EC_Trivial_Supplier_Filter_Builder::filter_`[private]`

| The filter....

The documentation for this class was generated from the following files:

- EC_Trivial_Supplier_Filter.h
- EC_Trivial_Supplier_Filter.cpp